
WebsiteValidator = function()
{
    this.form = $("websiteEditForm");
    if(this.form.webmasterId)
    {
        $(this.form.webmasterId).addEvent("change", this.onChangeWebmaster.handler(this));
    }
};

WebsiteValidator.prototype =
{ 
    form: null,
    
    errorMessage: function(message)
    {
        alert(message);
        return false;
    },

    validate: function()
    {
        var form = this.form;
        var emailPattern = new RegExp("^(([A-Za-z0-9_])|([\-\.]))+\@(([A-Za-z0-9_])|([\-\.]))+\.([A-Za-z]{2,4})$");

        // required fields validation
        if(form.url.value == '' || form.siteTitle.value == '' || form.description.value == '' || (form.webmasterEmail && form.webmasterEmail.value == ''))
            return this.errorMessage(setting.lang['Please, fill in the fields URL of site, Title and Description.']);

        // url protocol validation
        if(form.url.value.indexOf('http://') != 0)
            return this.errorMessage(setting.lang['The URL must start with http://']);

        // email validation
        if(form.webmasterEmail && emailPattern.test(form.webmasterEmail.value) == false)
            return this.errorMessage(setting.lang['Please, enter a valid email address.']);
            
        return true;

    },  
    
    updateWebmasterData: function(ajaxObj)
    {
        webmaster = ajaxObj.parseJSON();
        this.form.webmasterName.value = webmaster.login;
        this.form.webmasterEmail.value = webmaster.email;
    },      
        
    onChangeWebmaster: function(event)
    {
        if(!confirm(setting.lang['You modify the webmaster of this site. Do you want the fields Webmaster Email and Webmaster Name to be refreshed, or you want to modify them manually?']))return;
  
        var webmasterId = event.obj.value;
        
        ajax = new AjaxClient();
        ajax.onSuccess = this.updateWebmasterData.handler(this);
        ajax.addParam("webmasterId", webmasterId);
        ajax.post(setting.webmasterDataUrl);
  
    }

      
}
  